%error = forceRequiredAddOn("Event_FireRelayNum");
if(%error == $Error::AddOn_NotFound) 
{
	error("Event_FireRelayNumDirection - Required Add-On Event_FireRelayNum not found.");
	return;
}

registerOutputEvent(fxDtsbrick,"fireRelayNumDirection","string 100 100\tlist Up 0 Down 1 North 2 East 3 South 4 West 5",1);

function fxDtsBrick::fireRelayNumDirection(%brick,%num,%direction,%client)
{
	%start = posFromTransform(%brick.getTransform());
	%db = %brick.getDatablock();
	%angle = %brick.getAngleID();
	if(%angle == 1 || %angle == 3)
	{
		%addX = %db.brickSizeY * 0.55;
		%addY = %db.brickSizeX * 0.55;
	}
	else
	{
		%addX = %db.brickSizeX * 0.55;
		%addY = %db.brickSizeY * 0.55;
	}
	%addZ = %db.brickSizeZ * 0.22;
	//Up Down North East South West
	switch(%direction)
	{
		case 0:
			%add = 0 SPC 0 SPC %addZ;
		case 1:
			%add = 0 SPC 0 SPC -%addZ;
		case 2:
			%add = 0 SPC %addY SPC 0;
		case 3:
			%add = %addX SPC 0 SPC 0;
		case 4:
			%add = 0 SPC -%addY SPC 0;
		case 5:
			%add = -%addX SPC 0 SPC 0;
	}
	%end = vectorAdd(%start,%add);
	%ray = containerRaycast(%start,%end,$TypeMasks::FxBrickAlwaysObjectType,%brick);
	%col = firstWord(%ray);
	if(isObject(%col))
	{
		if(getTrustLevel(%col,%brick) < 2)
			return;
			
		if (%num $= "")
			return %col;
	
		%pass = parseNumbers(%num);
	
		if (%pass $= "")
			return %col;
	
		$inputTarget_Self = %brick;
		%col.ProcessFireRelay(%pass, %client);
	
		return %col;
	}
}